from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy import event
from sqlalchemy import DDL

Base = declarative_base()

# 启用pgvector扩展
event.listens_for(Base.metadata, 'before_create')
def enable_vector_extension(target, connection, **kw):
    connection.execute(DDL('CREATE EXTENSION IF NOT EXISTS vector'))