from sqlalchemy import Column, Integer, String, Text
from db.base_class import Base

class KGProp(Base):
    __tablename__ = 'kg_props'

    id = Column(Integer, primary_key=True, index=True)
    category = Column(Integer, nullable=False, default=0)
    ref_id = Column(Integer, nullable=False)
    prop_name = Column(String(64), nullable=False)
    prop_value = Column(Text)
    prop_title = Column(String(64))
    type = Column(Integer)

    def __repr__(self):
        return f"<KGProp(id={self.id}, prop_name={self.prop_name}, ref_id={self.ref_id})>"

# 类型：空或1-实体属性，2-关系属性